### A free/open-source library for quantitative finance

Public Member Functions | Protected Attributes
TransformedGrid Class Reference

transformed grid More...

`#include <ql/math/transformedgrid.hpp>`

Inherited by LogGrid.

List of all members.

## Public Member Functions

| TransformedGrid (const Array &grid)
template<class T >
| TransformedGrid (const Array &grid, T func)
const Array & | gridArray () const
const Array & | transformedGridArray () const
const Array & | dxmArray () const
const Array & | dxpArray () const
const Array & | dxArray () const
Real | grid (Size i) const
Real | transformedGrid (Size i) const
Real | dxm (Size i) const
Real | dxp (Size i) const
Real | dx (Size i) const
Size | size () const

## Protected Attributes

Array | grid_
Array | transformedGrid_
Array | dxm_
Array | dxp_
Array | dx_

## Detailed Description

transformed grid

This package encapuslates an array of grid points. It is used primarily in PDE calculations.